%define module Numeric

Name: python-%module
Version: 22.0
Release: alt2

Summary: Python numerical facilities
License: Python License

Group: Development/Python
Url: http://www.pfdubois.com/numpy

Source: %module-%version.tar.bz2
Source1: numpy.pdf.bz2

Requires: python = %__python_version

Provides: python-numeric
Provides: python-numpy

Obsoletes: python-numpy

BuildRequires: python-devel = %__python_version
BuildRequires: python-modules-tkinter 

%description
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

%package devel
Group: Development/Python
Summary: Python numerical facilities
Requires: %name = %version-%release

Provides: python-numeric-devel
Provides: python-numpy-devel

Obsoletes: python-numpy-devel

%description devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.
Development files.

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_includedir %_includedir/python%__python_version

%prep
%setup -q -n %module-%version
bzcat %SOURCE1 >numpy.pdf

%build
python setup.py build
for Package in `cd Packages;ls`; do
    (cd Packages/$Package; python setup.py build)
done

%install
python setup.py install --root=%buildroot
for Package in `cd Packages;ls`; do
    (cd Packages/$Package; python setup.py install --root=%buildroot)
done

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat > %buildroot%_sysconfdir/buildreqs/files/ignore.d/%name << EOF
^/usr/lib/python[^/]*/site-packages/Numeric$
EOF

%add_python_lib_path  %_libdir/python%__python_version/site-packages/Numeric


%files
%python_site_packages_dir/Numeric
%python_site_packages_dir/Numeric.pth
%config %_sysconfdir/buildreqs/files/ignore.d/%name
%doc MANIFEST *README PKG-INFO

%files devel
%dir %python_includedir/Numeric
%python_includedir/Numeric/*
%doc Demo Test numpy.pdf

%changelog
* Fri Jun 25 2004 Andrey Orlov <cray@altlinux.ru> 22.0-alt2
- Rebuild for python 23
- Path from Numeric.pth added for AutoReqProv;
- Some duplicated files excluded;

* Wed Oct 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 22.0-alt1
- new version.

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 20.3-alt2
- Added buildreq filter

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 20.3-alt1
- 20.3 

* Fri Aug 10 2001 Stanislav Ievlev <inger@altlinux.ru> 20.1.0-alt1
- 20.1.0

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 17.3.0-alt1
- 17.3.0 . Cleanup spec. Rebuilt with python-2.1

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- build for python-2.0 only
* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.0-1mdk
- new in contribs

